/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增保险理赔 POST /api/InsuranceClaim/AddInsuranceClaim */
export async function addInsuranceClaim(
  body: API.AddInsuranceClaimInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceClaim/AddInsuranceClaim', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 导出保险理赔列表 POST /api/InsuranceClaim/ExportInsuranceClaimList */
export async function exportInsuranceClaimList(
  body: API.QueryInsuranceClaimPageInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsuranceClaim/ExportInsuranceClaimList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保险理赔附件url集合 POST /api/InsuranceClaim/GetInsuranceClaimAttachmentUrlList */
export async function getInsuranceClaimAttachmentUrlList(
  body: API.QueryInsuranceClaimPageInput,
  options?: API.RequestConfig
) {
  return request<string[]>('/api/InsuranceClaim/GetInsuranceClaimAttachmentUrlList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保险理赔渠道列表 GET /api/InsuranceClaim/GetInsuranceClaimChannelList */
export async function getInsuranceClaimChannelList(options?: API.RequestConfig) {
  return request<string[]>('/api/InsuranceClaim/GetInsuranceClaimChannelList', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取保险理赔统计数量 POST /api/InsuranceClaim/GetInsuranceClaimCount */
export async function getInsuranceClaimCount(
  body: API.QueryInsuranceClaimCountInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceClaim/GetInsuranceClaimCount', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保险理赔详情 GET /api/InsuranceClaim/GetInsuranceClaimDetail */
export async function getInsuranceClaimDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsuranceClaimDetailParams,
  options?: API.RequestConfig
) {
  return request<API.InsuranceClaimDetailOutput>('/api/InsuranceClaim/GetInsuranceClaimDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据保单id获取保险理赔详情 GET /api/InsuranceClaim/GetInsuranceClaimDetailByOrderId */
export async function getInsuranceClaimDetailByOrderId(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsuranceClaimDetailByOrderIdParams,
  options?: API.RequestConfig
) {
  return request<API.InsuranceClaimDetailOutput>(
    '/api/InsuranceClaim/GetInsuranceClaimDetailByOrderId',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取保险理赔分页列表 POST /api/InsuranceClaim/GetInsuranceClaimPage */
export async function getInsuranceClaimPage(
  body: API.QueryInsuranceClaimPageInput,
  options?: API.RequestConfig
) {
  return request<API.InsuranceClaimListOutputPageOutput>(
    '/api/InsuranceClaim/GetInsuranceClaimPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取保险理赔年月数量统计列表 GET /api/InsuranceClaim/GetInsuranceClaimYearMonthCountList */
export async function getInsuranceClaimYearMonthCountList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsuranceClaimYearMonthCountListParams,
  options?: API.RequestConfig
) {
  return request<API.InsuranceClaimYearMonthCountListOutput[]>(
    '/api/InsuranceClaim/GetInsuranceClaimYearMonthCountList',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 更新保险理赔 POST /api/InsuranceClaim/UpdateInsuranceClaim */
export async function updateInsuranceClaim(
  body: API.UpdateInsuranceClaimInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsuranceClaim/UpdateInsuranceClaim', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
